Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class ComponentIterators

    java.lang.Object
      org.richfaces.component.ComponentIterators

    public final class ComponentIterators

extends Object

Author:
  Nick Belaevski

Method Summary
`static
`<T extends javax.faces.component.UIComponent> T`
` | `getParent(javax.faces.component.UIComponent component, Class<T> parentClass)` Finds a parent of given UI `component`.
`static javax.faces.component.UIComponent` | `getParent(javax.faces.component.UIComponent component, com.google.common.base.Predicate<javax.faces.component.UIComponent> predicat)`
`static Iterator<javax.faces.component.UIComponent>` | `parents(javax.faces.component.UIComponent component)`
`static Iterator<javax.faces.component.UIComponent>` | `parentsAndSelf(javax.faces.component.UIComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parents

    public static Iterator<javax.faces.component.UIComponent> parents(javax.faces.component.UIComponent component)

### parentsAndSelf

    public static Iterator<javax.faces.component.UIComponent> parentsAndSelf(javax.faces.component.UIComponent component)

### getParent

    public static javax.faces.component.UIComponent getParent(javax.faces.component.UIComponent component,
                                                              com.google.common.base.Predicate<javax.faces.component.UIComponent> predicat)

### getParent

    public static <T extends javax.faces.component.UIComponent> T getParent(javax.faces.component.UIComponent component,
                                                                            Class<T> parentClass)

  Finds a parent of given UI `component`.

  Parameters:
    `component` - `UIComponent`
    `parentClass` - `Class` of desired parent
  Returns:
    `UIComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.